package tools.wztosql;

import client.inventory.MapleInventoryType;
import com.alibaba.druid.pool.DruidPooledConnection;
import database.DBConPool;
import java.io.File;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import provider.MapleData;
import provider.MapleDataProvider;
import provider.MapleDataProviderFactory;
import provider.MapleDataTool;
import server.CashItemFactory;
import server.MapleItemInformationProvider;
import server.CashItemInfo.CashModInfo;
import tools.FileoutputUtil;

public class DumpCashShop {

   private static final MapleDataProvider data = MapleDataProviderFactory.getDataProvider(new File((System.getProperty("wzpath") != null?System.getProperty("wzpath"):"") + "wz/Etc.wz"));


   public static final CashModInfo getModInfo(int sn) {
      CashModInfo ret = null;

      try {
         DruidPooledConnection ex = DBConPool.getInstance().getDataSource().getConnection();
         Throwable var3 = null;

         try {
            PreparedStatement ps = ex.prepareStatement("SELECT * FROM cashshop_modified_items WHERE serial = ?");
            Throwable var5 = null;

            try {
               ps.setInt(1, sn);
               ResultSet rs = ps.executeQuery();
               Throwable var7 = null;

               try {
                  if(rs.next()) {
                     ret = new CashModInfo(sn, rs.getInt("discount_price"), rs.getInt("mark"), rs.getInt("showup") > 0, rs.getInt("itemid"), rs.getInt("priority"), rs.getInt("package") > 0, rs.getInt("period"), rs.getInt("gender"), rs.getInt("count"), rs.getInt("meso"), rs.getInt("unk_1"), rs.getInt("unk_2"), rs.getInt("unk_3"), rs.getInt("extra_flags"), rs.getInt("mod"));
                  }
               } catch (Throwable var54) {
                  var7 = var54;
                  throw var54;
               } finally {
                  if(rs != null) {
                     if(var7 != null) {
                        try {
                           rs.close();
                        } catch (Throwable var53) {
                           var7.addSuppressed(var53);
                        }
                     } else {
                        rs.close();
                     }
                  }

               }
            } catch (Throwable var56) {
               var5 = var56;
               throw var56;
            } finally {
               if(ps != null) {
                  if(var5 != null) {
                     try {
                        ps.close();
                     } catch (Throwable var52) {
                        var5.addSuppressed(var52);
                     }
                  } else {
                     ps.close();
                  }
               }

            }
         } catch (Throwable var58) {
            var3 = var58;
            throw var58;
         } finally {
            if(ex != null) {
               if(var3 != null) {
                  try {
                     ex.close();
                  } catch (Throwable var51) {
                     var3.addSuppressed(var51);
                  }
               } else {
                  ex.close();
               }
            }

         }
      } catch (Exception var60) {
         FileoutputUtil.outError("logs/资料库异常.txt", var60);
      }

      return ret;
   }

   public static void main(String[] args) {
      MapleItemInformationProvider.getInstance().load();
      CashModInfo m = getModInfo(20000393);
      CashItemFactory.getInstance().initialize();
      Collection list = CashItemFactory.getInstance().getAllModInfo();

      try {
         DruidPooledConnection e = DBConPool.getInstance().getDataSource().getConnection();
         Throwable var4 = null;

         try {
            new ArrayList();
            ArrayList qq = new ArrayList();
            HashMap itemConmes = new HashMap();
            Iterator dics = data.getData("Commodity.img").getChildren().iterator();

            int ex;
            int sn;
            int count;
            int price;
            int priority;
            int period;
            int gender;
            int meso;
            while(dics.hasNext()) {
               MapleData field = (MapleData)dics.next();
               HashMap field1 = new HashMap();
               ex = MapleDataTool.getIntConvert("ItemId", field, 0);
               sn = MapleDataTool.getIntConvert("SN", field, 0);
               count = MapleDataTool.getIntConvert("Count", field, 0);
               price = MapleDataTool.getIntConvert("Price", field, 0);
               priority = MapleDataTool.getIntConvert("Priority", field, 0);
               period = MapleDataTool.getIntConvert("Period", field, 0);
               gender = MapleDataTool.getIntConvert("Gender", field, -1);
               meso = MapleDataTool.getIntConvert("Meso", field, 0);
               if(price != 0 && (sn / 10000000 != 2 && sn / 10000000 != 3 && sn / 10000000 != 5 && sn / 10000000 != 6 && sn / 10000000 != 7 || !itemConmes.containsKey(Integer.valueOf(ex)) || ((Integer)((Map)itemConmes.get(Integer.valueOf(ex))).get("price")).intValue() <= price)) {
                  field1.put("itemId", Integer.valueOf(ex));
                  field1.put("sn", Integer.valueOf(sn));
                  field1.put("count", Integer.valueOf(count));
                  field1.put("price", Integer.valueOf(price));
                  field1.put("priority", Integer.valueOf(priority));
                  field1.put("period", Integer.valueOf(period));
                  field1.put("gender", Integer.valueOf(gender));
                  field1.put("meso", Integer.valueOf(meso));
                  itemConmes.put(Integer.valueOf(ex), field1);
               }
            }

            HashMap dics1 = new HashMap();
            Iterator field2 = itemConmes.values().iterator();

            while(field2.hasNext()) {
               Map field3 = (Map)field2.next();

               try {
                  ex = ((Integer)field3.get("itemId")).intValue();
                  sn = ((Integer)field3.get("sn")).intValue();
                  count = ((Integer)field3.get("count")).intValue();
                  price = ((Integer)field3.get("price")).intValue();
                  priority = ((Integer)field3.get("priority")).intValue();
                  period = ((Integer)field3.get("period")).intValue();
                  gender = ((Integer)field3.get("gender")).intValue();
                  meso = ((Integer)field3.get("meso")).intValue();
                  if(ex != 0 && sn <= 80000000 && sn / 100000 != 102 && sn / 100000 != 101 && sn / 100000 != 100 && sn / 100000 != 700) {
                     int cat = ex / 10000;
                     if(dics1.get(Integer.valueOf(cat)) == null) {
                        dics1.put(Integer.valueOf(cat), new ArrayList());
                     }

                     boolean check = false;
                     if(meso > 0) {
                        check = true;
                     }

                     if(MapleItemInformationProvider.getInstance().getInventoryTypeCS(ex) == MapleInventoryType.EQUIP && !MapleItemInformationProvider.getInstance().isCashItem(ex)) {
                        check = true;
                     }

                     if(MapleItemInformationProvider.getInstance().getInventoryTypeCS(ex) == MapleInventoryType.EQUIP && period > 0) {
                        check = true;
                     }

                     if(check) {
                        System.out.println(MapleItemInformationProvider.getInstance().getName(ex));
                     } else {
                        PreparedStatement ps = e.prepareStatement("INSERT INTO cashshop_modified_items (serial, showup,itemid,priority,period,gender,count,meso,discount_price,mark, unk_1, unk_2, unk_3, name) VALUES ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
                        ps.setInt(1, sn);
                        ps.setInt(2, 1);
                        ps.setInt(3, ex);
                        ps.setInt(4, 0);
                        ps.setInt(5, 0);
                        ps.setInt(6, gender);
                        ps.setInt(7, count > 1?count:0);
                        ps.setInt(8, meso);
                        ps.setInt(9, price);
                        qq.add(Integer.valueOf(ex));
                        ps.setInt(10, 0);
                        ps.setInt(11, 0);
                        ps.setInt(12, 0);
                        ps.setInt(13, 0);
                        ps.setString(14, MapleItemInformationProvider.getInstance().getName(ex));
                        ps.executeUpdate();
                        ps.toString();
                        ps.close();
                     }
                  }
               } catch (SQLException var31) {
                  FileoutputUtil.outError("logs/CashShopDumper.txt", var31);
               }
            }
         } catch (Throwable var32) {
            var4 = var32;
            throw var32;
         } finally {
            if(e != null) {
               if(var4 != null) {
                  try {
                     e.close();
                  } catch (Throwable var30) {
                     var4.addSuppressed(var30);
                  }
               } else {
                  e.close();
               }
            }

         }
      } catch (SQLException var34) {
         FileoutputUtil.outError("logs/资料库异常.txt", var34);
      }

   }

}
